This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309601 - External Materialization ON_VDB_START_SCRIPT invocation issues
External Materialization ON_VDB_START_SCRIPT invocation issues
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Van Halbert
Jan Stastny
:
Depends On: 1163685
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 04:25 EST by Jan Stastny
Modified: 2016-02-18 10:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 10:15:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3215 Major Resolved External Materialization ON_VDB_START_SCRIPT invocation issues 2016-02-18 10:10 EST

  None (edit)
Description Jan Stastny 2016-02-18 04:25:56 EST
+++ This bug was initially created as a clone of Bug #1163685 +++

With materialized view I have set teiid_rel:ON_VDB_START_SCRIPT property for the external matview table. (Simple query to increment a column in table to count invocations.)
Invocation of the script is dependent upon the way the vdb is deployed. The first case (A) doesn't invoke the script, the second (B) does.
A - 1. Copy the vdbname-vdb.xml into deployments folder
    2. Start the server
B - 1. Start the server
    2. Copy the vdbname-vdb.xml into deployments folder

That means that after server stop (maintenance) the script is not invoked on start, which can cause problems when the script is used to initialize running environment (clear table, create temporary table natively,...)

Affected version:
DV 6.1.0 ER3, DV 6.1.0 ER4

Steps to reproduce:
1. Define teiid_rel:ON_VDB_START_SCRIPT property with external materialized view table.
2. Copy the vdb into deployments folder of stopped server
3. Start the server
4. Check that ON_VDB_START_SCRIPT wasn't invoked (Via debug log or expected action performed by the script)

--- Additional comment from JBoss JIRA Server on 2014-11-14 12:55:46 EST ---

Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3215 to Resolved

--- Additional comment from JBoss JIRA Server on 2015-10-08 10:39:57 EDT ---

Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3215 to Closed

--- Additional comment from JBoss JIRA Server on 2016-02-18 04:24:14 EST ---

Jan Stastny <jstastny@redhat.com> updated the status of jira TEIID-3215 to Reopened
Comment 1 JBoss JIRA Server 2016-02-18 09:15:38 EST
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3215 to Resolved

Note You need to log in before you can comment on or make changes to this bug.